"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendMultipleNotification = exports.SendNotificationDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
class SendNotificationDto {
}
exports.SendNotificationDto = SendNotificationDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'El token del dispositivo',
        example: 'token[]',
    }),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], SendNotificationDto.prototype, "token", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'El titulo de la notificacion',
        example: 'Notificacion ejemplo',
    }),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], SendNotificationDto.prototype, "titulo", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'El mensaje de la notificacion',
        example: 'Este es el mensaje que será enviado.',
    }),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], SendNotificationDto.prototype, "mensaje", void 0);
class sendMultipleNotification {
}
exports.sendMultipleNotification = sendMultipleNotification;
__decorate([
    (0, swagger_1.ApiProperty)({
        example: [
            {
                to: [
                    'token[1]',
                    'token[2]'
                ],
                titulo: 'Notificacion 1',
                body: 'Mensaje a dispositivos'
            },
        ]
    }),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", Object)
], sendMultipleNotification.prototype, "data", void 0);
//# sourceMappingURL=sendNotification.dto.js.map